package ecp.vcs.com.ecpsyncplugin.re_sync.model;

import java.io.Serializable;

/**
 * Created by vcsdev0103 on 11/05/2017.
 */

public class BarcodeModel implements Serializable {

   private int srno;
   private String barcodeNo;
   private String customerLevel;
   private String loggedInId;
   private boolean isValid;
   private String userID;
   private String subCode;
   private String scanType;
   private String batchNo;
   private String productSkuCountryId;
   private String sticker_detail_id;
   private int pallet_detail_id;
   private boolean isPallet;
   private boolean isPalletReceived;//Only Used in Distributor

   private String do_sto_no;
   private String dispatched;
   private String dist_sell_to_farmer;

   public BarcodeModel() {
      this.srno = 0;
      this.barcodeNo = "";
      this.customerLevel = "";
      this.loggedInId = "";
      this.isValid = false;
      this.userID = "";
      this.subCode = "";
      this.scanType = "";
      this.batchNo="";
      this.productSkuCountryId="";
      this.sticker_detail_id="";
      this.pallet_detail_id=0;
      this.isPallet=false;
      this.isPalletReceived=false;
      this.do_sto_no="";
      this.dispatched="";
      this.dist_sell_to_farmer="";
   }

   public String getCustomerLevel() {
      return customerLevel;
   }

   public void setCustomerLevel(String customerLevel) {
      this.customerLevel = customerLevel;
   }

   public String getLoggedInId() {
      return loggedInId;
   }

   public void setLoggedInId(String loggedInId) {
      this.loggedInId = loggedInId;
   }

   public boolean isValid() {
      return isValid;
   }

   public void setValid(boolean valid) {
      isValid = valid;
   }

   public String getUserID() {
      return userID;
   }

   public void setUserID(String userID) {
      this.userID = userID;
   }

   public String getSubCode() {
      return subCode;
   }

   public void setSubCode(String subCode) {
      this.subCode = subCode;
   }

   public int getSrno() {
      return srno;
   }

   public void setSrno(int srno) {
      this.srno = srno;
   }

   public String getBarcodeNo() {
      return barcodeNo;
   }

   public void setBarcodeNo(String barcodeNo) {
      this.barcodeNo = barcodeNo;
   }

   public String getScanType() {
      return scanType;
   }

   public void setScanType(String scanType) {
      this.scanType = scanType;
   }

   public String getBatchNo() {
      return batchNo;
   }

   public void setBatchNo(String batchNo) {
      this.batchNo = batchNo;
   }

   public String getProductSkuCountryId() {
      return productSkuCountryId;
   }

   public void setProductSkuCountryId(String productSkuCountryId) {
      this.productSkuCountryId = productSkuCountryId;
   }


   public String getSticker_detail_id() {
      return sticker_detail_id;
   }

   public void setSticker_detail_id(String sticker_detail_id) {
      this.sticker_detail_id = sticker_detail_id;
   }

   public int getPallet_detail_id() {
      return pallet_detail_id;
   }

   public void setPallet_detail_id(int pallet_detail_id) {
      this.pallet_detail_id = pallet_detail_id;
   }

   public boolean isPallet() {
      return isPallet;
   }

   public void setPallet(boolean pallet) {
      isPallet = pallet;
   }

   public boolean isPalletReceived() {
      return isPalletReceived;
   }

   public void setPalletReceived(boolean palletReceived) {
      isPalletReceived = palletReceived;
   }

   public String getDo_sto_no() {
      return do_sto_no;
   }

   public void setDo_sto_no(String do_sto_no) {
      this.do_sto_no = do_sto_no;
   }

   public String getDispatched() {
      return dispatched;
   }

   public void setDispatched(String dispatched) {
      this.dispatched = dispatched;
   }

   public String getDist_sell_to_farmer() {
      return dist_sell_to_farmer;
   }

   public void setDist_sell_to_farmer(String dist_sell_to_farmer) {
      this.dist_sell_to_farmer = dist_sell_to_farmer;
   }
}
