
package ecp.vcs.com.ecpsyncplugin.re_sync.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class IshopCFADispatch {

    @SerializedName("cfa_dispatch_id")
    @Expose
    private String cfaDispatchId;
    @SerializedName("customer_from_id")
    @Expose
    private String customerFromId;
    @SerializedName("customer_to_id")
    @Expose
    private String customerToId;
    @SerializedName("dispatch_date")
    @Expose
    private String dispatchDate;
    @SerializedName("sap_id")
    @Expose
    private String sapId;
    @SerializedName("dispatch_type")
    @Expose
    private String dispatchType;
    @SerializedName("received")
    @Expose
    private String received;
    @SerializedName("received_date")
    @Expose
    private String receivedDate;
    @SerializedName("created_by_user")
    @Expose
    private String createdByUser;
    @SerializedName("modified_by_user")
    @Expose
    private String modifiedByUser;
    @SerializedName("status")
    @Expose
    private String status;
    @SerializedName("created_on")
    @Expose
    private String createdOn;
    @SerializedName("modified_on")
    @Expose
    private String modifiedOn;
    @SerializedName("sync_code")
    @Expose
    private String syncCode;
    @SerializedName("sync_flag")
    @Expose
    private String syncFlag;
    @SerializedName("sync_date")
    @Expose
    private String syncDate;
    @SerializedName("sync_by_user")
    @Expose
    private String syncByUser;

    @SerializedName("isRead")
    @Expose
    private String read;

    @SerializedName("read_date")
    @Expose
    private String readDate;

    @SerializedName("do_sto_no")
    @Expose
    private String doSTONo;

    @SerializedName("country_id")
    @Expose
    private String countyId;

    private int is_dispatch_type;


    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }


    public String getDoSTONo() {
        return doSTONo;
    }

    public void setDoSTONo(String doSTONo) {
        this.doSTONo = doSTONo;
    }


    public String getReadDate() {
        return readDate;
    }

    public void setReadDate(String readDate) {
        this.readDate = readDate;
    }


    public String getRead() {
        return read;
    }

    public void setRead(String read) {
        this.read = read;
    }


    public String getCFADispatchId() {
        return cfaDispatchId;
    }

    public void setCFADispatchId(String tollerDispatchId) {
        this.cfaDispatchId = tollerDispatchId;
    }

    public String getCustomerFromId() {
        return customerFromId;
    }

    public void setCustomerFromId(String customerFromId) {
        this.customerFromId = customerFromId;
    }

    public String getCustomerToId() {
        return customerToId;
    }

    public void setCustomerToId(String customerToId) {
        this.customerToId = customerToId;
    }

    public String getDispatchDate() {
        return dispatchDate;
    }

    public void setDispatchDate(String dispatchDate) {
        this.dispatchDate = dispatchDate;
    }

    public String getSAPId() {
        return sapId;
    }

    public void setSapId(String documentNo) {
        this.sapId = documentNo;
    }

    public String getDispatchType() {
        return dispatchType;
    }

    public void setDispatchType(String countryId) {
        this.dispatchType = countryId;
    }

    public String getReceived() {
        return received;
    }

    public void setReceived(String received) {
        this.received = received;
    }

    public String getReceivedDate() {
        return receivedDate;
    }

    public void setReceivedDate(String receivedDate) {
        this.receivedDate = receivedDate;
    }

    public String getCreatedByUser() {
        return createdByUser;
    }

    public void setCreatedByUser(String createdByUser) {
        this.createdByUser = createdByUser;
    }

    public String getModifiedByUser() {
        return modifiedByUser;
    }

    public void setModifiedByUser(String modifiedByUser) {
        this.modifiedByUser = modifiedByUser;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(String createdOn) {
        this.createdOn = createdOn;
    }

    public String getModifiedOn() {
        return modifiedOn;
    }

    public void setModifiedOn(String modifiedOn) {
        this.modifiedOn = modifiedOn;
    }

    public String getSyncCode() {
        return syncCode;
    }

    public void setSyncCode(String syncCode) {
        this.syncCode = syncCode;
    }

    public String getSyncFlag() {
        return syncFlag;
    }

    public void setSyncFlag(String syncFlag) {
        this.syncFlag = syncFlag;
    }

    public String getSyncDate() {
        return syncDate;
    }

    public void setSyncDate(String syncDate) {
        this.syncDate = syncDate;
    }

    public String getSyncByUser() {
        return syncByUser;
    }

    public void setSyncByUser(String syncByUser) {
        this.syncByUser = syncByUser;
    }

    public int getIs_dispatch_type() {
        return is_dispatch_type;
    }

    public void setIs_dispatch_type(int is_dispatch_type) {
        this.is_dispatch_type = is_dispatch_type;
    }
}
